VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Version"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Const m_modName = "FMStocks_DB.Version"

Public Function ConnectionString() As String
    On Error GoTo errorHandler
    Dim dbh As DBHelper
    Set dbh = CreateObject("FMStocks_db.DBHelper")
    ConnectionString = dbh.GetConnectionString()
    Set dbh = Nothing
    Exit Function
    
errorHandler:
    RaiseError m_modName, "ConnectionString()"
End Function

Public Function AppVersion() As String
    AppVersion = GetVersionNumber()
End Function

Public Function ComputerName() As String
    ComputerName = GetComputerName()
End Function

